Servers - Bug #828

[redmine] deprecation warning while starting
2015-10-12 02:13 PM - fauno

Status: fixed % Done: 100%
Priority: critical

Assignee:

Category:

Description

Passenger is writing lots of errors into /tmp, sometimes filling it and preventing other scripts using /tmp from working.

The error is
‘[DEPRECATION] requiring "RMagick" is deprecated. Use "rmagick” instead’

Maybe redmine requires an upgrade?

History

#1 - 2015-10-12 02:18 PM - fauno

by fetching sources on /srv/http/labs.parabola.nu i see there's a new version, we're at 3.0.1 and there's 3.1.1 available

#2 - 2015-10-15 07:03 AM - Anonymous

- Assignee set to Anonymous

#3 - 2015-10-15 05:07 PM - mtjm

Please backup before upgrade.

Can we configure logging so deprecation warnings won't be written?

#4 - 2015-10-20 10:03 AM - Anonymous

- Subject changed from Deprecation warning while starting redmine to [redmine] deprecation warning while starting

#5 - 2015-10-20 10:03 AM - Anonymous

- Status changed from open to in progress

#6 - 2015-10-20 11:51 AM - Anonymous
- % Done changed from 0 to 90

redmine-3.1.1-1 pushed, check now if deprecation warning doesn't shows anymore

#7 - 2015-10-20 05:36 PM - mtjm

We have 3.0.1 running (see https:/labs.parabola.nu/admin/info). | can update unless we decide to migrate to the pcr package.

#8 - 2016-03-22 08:01 AM - Anonymous

- Assignee deleted (Anonymous)

#9 - 2016-05-27 08:45 AM - lukeshu
- % Done changed from 90 to 100

- Status changed from in progress to fixed

This hasn't happened since October.

#10 - 2018-04-28 09:14 AM - bill-auger

this warning still appears in the console every time bundler, rails, or a rake task is run
